com.singularsys.jeptests.system

## Class LineNumberingTest

- java.lang.Object
- - com.singularsys.jeptests.system.LineNumberingTest

-     public class LineNumberingTest
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineNumberingTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testArray()`
    `void` | `testBrackets()`
    `void` | `testExpressionsSpanningLines()`
    `void` | `testFunction()`
    `void` | `testMatrix()`
    `void` | `testMultiLine()`
    `void` | `testSimple()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineNumberingTest

          public LineNumberingTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSimple

          public void testSimple()
                          throws ParseException

      Throws:
        `ParseException`

    - #### testMultiLine

          public void testMultiLine()
                             throws ParseException

      Throws:
        `ParseException`

    - #### testFunction

          public void testFunction()
                            throws ParseException

      Throws:
        `ParseException`

    - #### testArray

          public void testArray()
                         throws ParseException

      Throws:
        `ParseException`

    - #### testMatrix

          public void testMatrix()
                          throws ParseException

      Throws:
        `ParseException`

    - #### testBrackets

          public void testBrackets()
                            throws ParseException

      Throws:
        `ParseException`

    - #### testExpressionsSpanningLines

          public void testExpressionsSpanningLines()
                                            throws ParseException

      Throws:
        `ParseException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep